import 'package:fis_jsonrpc/rpc.dart';
import 'package:vitalapp/managers/interfaces/models/diagnosis_aggregation_record_model.dart';

import 'base.dart';

abstract class IDiagnosisManager implements IManager {
  ///获取健康检测记录
  Future<PageCollection<DiagnosisAggregationRecordModel>?>
      getDiagnosisAggregationPageAsync(
          String patientCode, int pageIndex, int pageSize);

  Future<bool> submitDiagnosisAsync(SubmitDiagnosisRequest request);

  Future<List<DiagnosisAggregationRecordModel>?> getListByPatientCode(
      String patientCode);
}
