import 'package:get/get.dart';

class FacialRecognitionState {
  /// bool 相机是否已经加载完毕
  final _isCameraReady = false.obs;
  set isCameraReady(value) => _isCameraReady.value = value;
  bool get isCameraReady => _isCameraReady.value;

  /// 身份证信息是否展示
  final _isIdCardInfoShow = false.obs;
  set isIdCardInfoShow(value) => _isIdCardInfoShow.value = value;
  bool get isIdCardInfoShow => _isIdCardInfoShow.value;

  /// 是否显示身份信息开关
  final _isShowIdCardInfoSwitch = false.obs;
  set isShowIdCardInfoSwitch(value) => _isShowIdCardInfoSwitch.value = value;
  bool get isShowIdCardInfoSwitch => _isShowIdCardInfoSwitch.value;

  /// 是否进入人脸识别阶段
  final _isInFaceRecognition = false.obs;
  set isInFaceRecognition(value) => _isInFaceRecognition.value = value;
  bool get isInFaceRecognition => _isInFaceRecognition.value;

  /// 是否展示人脸识别结果
  final _isShowFaceRecognitionResult = false.obs;
  set isShowFaceRecognitionResult(value) =>
      _isShowFaceRecognitionResult.value = value;
  bool get isShowFaceRecognitionResult => _isShowFaceRecognitionResult.value;

  /// 是否正在使用前置相机
  final _isUsingFrontCamera = true.obs;
  set isUsingFrontCamera(value) => _isUsingFrontCamera.value = value;
  bool get isUsingFrontCamera => _isUsingFrontCamera.value;
}
